#
# spec file for package python-sybil
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pythons python311

Name:           askollama
Version:        0.1.0
Release:        0
Summary:        Ollama CLI tool
License:        GPLv2
Url:            https://src.opensuse.org/adrianSuSE/askollama
#Source:         askollama-%{version}.tar.xz
#!RemoteAssetUrl: git+https://src.opensuse.org/adrianSuSE/askollama
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%description
Simple CLI to talk to ollama server

%prep
%setup -q -n ../SOURCES/askollama -D -T 0

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc README.md
%license LICENSE
%_bindir/askollama
%{python_sitelib}/*

%changelog
